package com.brilliance.isc.model.xrt;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * (Xrt)实体类
 *
 * @author makejava
 * @since 2023-01-12 15:01:06
 */
public class Xrt implements Serializable {

    private static final long serialVersionUID = -43910800848061356L;

    private String inr;

    private String cur;

    private Date begdat;

    private Date enddat;

    private BigDecimal buyrat;

    private BigDecimal midrat;

    private BigDecimal selrat;

    private BigDecimal ttrrat;

    private BigDecimal odrrat;

    private String ver;

    private BigDecimal resrat;

    private BigDecimal rebrat;

    private BigDecimal ibrrat;

    private BigDecimal sel1rat;

    private BigDecimal buy1rat;

    private String etgextkey;

    private String xrttim;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public Date getBegdat() {
        return begdat;
    }

    public void setBegdat(Date begdat) {
        this.begdat = begdat;
    }

    public Date getEnddat() {
        return enddat;
    }

    public void setEnddat(Date enddat) {
        this.enddat = enddat;
    }

    public BigDecimal getBuyrat() {
        return buyrat;
    }

    public void setBuyrat(BigDecimal buyrat) {
        this.buyrat = buyrat;
    }

    public BigDecimal getMidrat() {
        return midrat;
    }

    public void setMidrat(BigDecimal midrat) {
        this.midrat = midrat;
    }

    public BigDecimal getSelrat() {
        return selrat;
    }

    public void setSelrat(BigDecimal selrat) {
        this.selrat = selrat;
    }

    public BigDecimal getTtrrat() {
        return ttrrat;
    }

    public void setTtrrat(BigDecimal ttrrat) {
        this.ttrrat = ttrrat;
    }

    public BigDecimal getOdrrat() {
        return odrrat;
    }

    public void setOdrrat(BigDecimal odrrat) {
        this.odrrat = odrrat;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public BigDecimal getResrat() {
        return resrat;
    }

    public void setResrat(BigDecimal resrat) {
        this.resrat = resrat;
    }

    public BigDecimal getRebrat() {
        return rebrat;
    }

    public void setRebrat(BigDecimal rebrat) {
        this.rebrat = rebrat;
    }

    public BigDecimal getIbrrat() {
        return ibrrat;
    }

    public void setIbrrat(BigDecimal ibrrat) {
        this.ibrrat = ibrrat;
    }

    public BigDecimal getSel1rat() {
        return sel1rat;
    }

    public void setSel1rat(BigDecimal sel1rat) {
        this.sel1rat = sel1rat;
    }

    public BigDecimal getBuy1rat() {
        return buy1rat;
    }

    public void setBuy1rat(BigDecimal buy1rat) {
        this.buy1rat = buy1rat;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }

    public String getXrttim() {
        return xrttim;
    }

    public void setXrttim(String xrttim) {
        this.xrttim = xrttim;
    }
}

